Bug 14572 - Library packaging policy violation
: Library packaging policy violation
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hwinfo)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-18 21:10 by
Modified: 2009-04-11 19:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-18 21:10:44
libhd.so.* must be packaged separately or at least in a package named lib*
libhd.a must be packaged separately and in lib*-devel-static, if built at all.
libhd.so, its headers and pkgconfig file must be packaged in lib*-devel
/usr/share/doc/hwinfo-devel-13.57 is 9,5M (!), so it must also be packaged 
separately
------- Comment #1 From 2008-05-25 20:01:30 -------
Fixed in -alt2
------- Comment #2 From 2008-05-27 00:10:58 -------
Неа, не фиксед.
------- Comment #3 From 2008-05-29 00:15:15 -------
Да, тут ещё более мутный попил на части. чем мне показалось поначалу. Плюс
утилиты для вдувания базы -- их-то что, тоже отдельно паковать?
------- Comment #4 From 2008-05-29 10:47:08 -------
(In reply to comment #3)
> Плюс утилиты для вдувания базы -- их-то что, тоже отдельно паковать?
От размера зависит.
------- Comment #5 From 2009-04-11 19:11:16 -------
Спасибо led@